package com.pcloud.book.weixinclock.entity;

import com.pcloud.common.entity.BaseEntity;

import io.swagger.annotations.ApiModelProperty;

/**
 * @author 杨涛
 * @description 群分类
 * @date 2019/8/15 11:31
 */
public class WeixinClockGroupClassify extends BaseEntity {

    private static final long serialVersionUID = 8053226115622528631L;

    @ApiModelProperty("weixinClockGroupClassifyId")
    private Long weixinClockGroupClassifyId;

    @ApiModelProperty("群分类ID")
    private Long bookGroupClassifyId;

    @ApiModelProperty("微信群签到打卡ID")
    private Long weixinClockId;

    public Long getWeixinClockGroupClassifyId() {
        return weixinClockGroupClassifyId;
    }

    public void setWeixinClockGroupClassifyId(Long weixinClockGroupClassifyId) {
        this.weixinClockGroupClassifyId = weixinClockGroupClassifyId;
    }

    public Long getBookGroupClassifyId() {
        return bookGroupClassifyId;
    }

    public void setBookGroupClassifyId(Long bookGroupClassifyId) {
        this.bookGroupClassifyId = bookGroupClassifyId;
    }

    public Long getWeixinClockId() {
        return weixinClockId;
    }

    public void setWeixinClockId(Long weixinClockId) {
        this.weixinClockId = weixinClockId;
    }

    @Override
    public String toString() {
        return "WeixinClockGroupClassify{" +
                "weixinClockGroupClassifyId=" + weixinClockGroupClassifyId +
                ", bookGroupClassifyId=" + bookGroupClassifyId +
                ", weixinClockId=" + weixinClockId +
                '}';
    }
}
